<p-blockUI [target]="pnl" [blocked]="blockedPanel">
    <i class="pi pi-spin pi-spinner" style="font-size: 3rem"></i>
</p-blockUI>
<div #pnl class="grid">
    <div class="col-4">
        <div class="card p-0 overflow-hidden flex flex-column">
            <div class="flex align-items-center p-3">
                <i class="pi pi-shopping-cart text-6xl text-blue-500"></i>
                <div class="ml-3" style="width: 120px;">
                    <span class="text-blue-500 block white-space-nowrap text-2xl">ยอดจอง (ทั้งหมด)</span><br>
                        <span class="text-blue-500 block text-4xl font-bold" style="text-align: end;">{{total}} คิว</span> 
                </div>
                <div class="col">
                    <div style="text-align: end;">
                        <div *ngFor="let c of cardData">{{c.service_type_name}} {{c.total}} คิว </div>
                    </div>
                </div>
            </div>
            <img [src]="'assets/demo/images/dashboard/users' + (colorScheme === 'light' ? '' : '-dark') + '.svg'" class="w-full" alt="users">
        </div>
    </div>
    <div class="col-4">
        <div class="card p-0 overflow-hidden flex flex-column">
            <div class="flex align-items-center p-3">
                <i class="pi pi-users text-6xl text-blue-500"></i>
                <div class="ml-3"  style="width: 120px;">
                    <span class="text-blue-500 block white-space-nowrap text-2xl">รับบริการ (วันนี้)</span><br>
                    <span class="text-blue-500 block text-4xl font-bold" style="text-align: end;">{{today}} คิว</span>  
                </div>
                <div class="col">
                    <div style="text-align: end;">
                        <div *ngFor="let c of cardData">{{c.service_type_name}} {{c.today}} คิว </div>
                    </div>
                </div>
            </div>
            <img [src]="'assets/demo/images/dashboard/rate' + (colorScheme === 'light' ? '' : '-dark') + '.svg'" class="w-full" alt="users">
        </div>
    </div>
    <div class="col-4">
        <div class="card p-0 overflow-hidden flex flex-column">
            <div class="flex align-items-center p-3">
                <i class="pi pi-clock text-6xl text-blue-500"></i>
                <div class="ml-3"  style="width: 120px;">
                    <span class="text-blue-500 block white-space-nowrap text-2xl">รอยืนยัน</span><br>
                    <span class="text-blue-500 block text-4xl font-bold" style="text-align: end;">{{confirm}} คิว</span> 
                </div>
                <div class="col">
                    <div style="text-align: end;">
                        <div *ngFor="let c of cardData">{{c.service_type_name}} {{c.confirm}} คิว </div>
                    </div>
                </div>
            </div>
            <img [src]="'assets/demo/images/dashboard/locations' + (colorScheme === 'light' ? '' : '-dark') + '.svg'" class="w-full" alt="users">
        </div>
    </div>

    <div class="col-12" *ngIf="!is_admin">
        <div class="card">       
            <h5 class="text-blue-500 font-bold"><i class="pi pi-users text-4xl"></i> รายชื่อผู้เข้ารับบริการ (วันนี้)</h5>
            <p-table #pnl #dt 
                [value]="bookings" scrollDirection="both" [paginator]="true" [rows]="10" [scrollable]="true"
                [showCurrentPageReport]="true" styleClass="mt-3" responsiveLayout="scroll"
                currentPageReportTemplate="Showing {first} to {last} of {totalRecords} entries"
                [rowsPerPageOptions]="[10,25,50]" 
                [globalFilterFields]="['customer.customer_name','customer.phone_number','service_type_name','period_name']"
                [rowHover]="true">
                <ng-template pTemplate="caption">
                    <div class="flex flex-wrap gap-2 align-items-center justify-content-between">
                        <span class="p-input-icon-left w-full sm:w-20rem flex-order-1 sm:flex-order-0">
                            <i class="pi pi-search"></i>
                            <input pInputText type="text" (input)="onGlobalFilter(dt, $event)" placeholder="ค้นหา ชื่อ-สกุล"
                                class="w-full" />
                        </span>
                        
                    </div>
                </ng-template>
                <ng-template pTemplate="header">
                    <tr>
                        <th style=" text-align: center;">ลำดับ</th>
                        <th>ชื่อ-สกุล</th>
                        <th>อายุ (ปี)</th>
                        <th>โรคประจำตัว</th>
                        <th>เบอร์โทรศัพท์</th>
                        <th>บริการ</th>
                        <th>เวลา</th>
                        <th>หมายเหตุ</th>
                        <th>สถานะ</th>
                        <th>สถานะการรับบริการ</th>

                    </tr>
                </ng-template>
                <ng-template pTemplate="body" let-bookings let-i="rowIndex">
                    <tr>
                        <td style=" text-align: center;">{{i+1}}</td>
                        <td>{{bookings["customer"].customer_name}}</td>
                        <td>{{bookings["customer"].age}}</td>
                        <td>{{bookings["customer"].chronic}}</td>
                        <td>{{bookings["customer"].phone_number}}</td>
                        <td>{{bookings.service_type_name}}</td> 
                        <td>{{bookings.period_name}} </td> 
                        <td>{{bookings.reserve_note}} </td> 
                        <td>{{bookings.is_confirm}} </td> 
                        <td>
                            <button *ngIf="bookings.status != 'close' && bookings.status != 'miss'" type="button" pButton pRipple icon="pi pi-check" class="h-1rem  mr-2 p-button-success p-button-raised" (click)="isClose(bookings.reserve_id)" pTooltip="รับคนไข้" tooltipPosition="bottom"> </button>              
                            <button *ngIf="bookings.status != 'miss' && bookings.status != 'close'" type="button" pButton pRipple icon="pi pi-times"  class="h-1rem mr-2 p-button-danger  p-button-raised" (click)="isMiss(bookings)" pTooltip="คนไข้ผิดนัด" tooltipPosition="bottom"></button>
                            <p-tag *ngIf="bookings.status == 'close'" icon="pi pi-check" severity="success" value="รับคนไข้"></p-tag>
                            <p-tag *ngIf="bookings.status == 'miss'" icon="pi pi-times" severity="danger" value="คนไข้ผิดนัด"></p-tag>
                        </td>
                    </tr>
                </ng-template>
                <ng-template pTemplate="emptymessage">
                    <tr>
                        <td colspan="10">ไม่พบข้อมูล.</td>
                    </tr>
                </ng-template>
                <ng-template pTemplate="loadingbody">
                    <tr>
                        <td colspan="10">กำลังโหลดข้อมูล กรุณารอสักครู่.</td>
                    </tr>
                </ng-template>
            </p-table>
        </div>

    </div>

</div>